<template>
  <!-- Start info -->
  <div class="row">
    <div class="container mx-auto p-8">
      <div class="text-center" v-if="user">
        <div class="w-24 h-24 rounded-full overflow-hidden mx-auto">
          <img
            src="https://vaithuhayho.com/wp-content/uploads/2021/04/hinh-anh-avatar-de-thuong-22.jpg"
            alt="User's avatar"
            class="w-full h-auto object-cover"
          />
        </div>
        <div class="font-bold text-2xl text-primary mt-3">
          {{ user.displayName }}
        </div>
        <p class="font-semibold text-gray-400 mt-1">
          {{ user.email }}
        </p>
      </div>
    </div>
  </div>
  <!-- Start menu -->
  <div class="row">
    <div class="container mx-auto px-8">
      <div class="grid grid-cols-1">
        <div class="col-span-1">
          <h3 class="font-bold text-primary">General</h3>
        </div>
      </div>
      <div class="grid grid-cols-1">
        <div class="col-span-1">
          <ul>
            <li v-for="(profileOption, index) in profileOptions" :key="index">
              <router-link
                :to="profileOption.route"
                class="flex items-center py-3 justify-between"
              >
                <div
                  class="flex items-center text-left"
                  :class="{
                    'text-primary': index === profileOptions.length - 1,
                  }"
                >
                  <i class="t2ico text-2xl" :class="profileOption.icon"></i>
                  <h5 class="font-semibold ml-3">{{ profileOption.text }}</h5>
                </div>
                <div class="text-right">
                  <i class="t2ico t2ico-arrow-right"></i>
                </div>
              </router-link>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import { reactive } from "@vue/reactivity";
import { PROFILES_OPTIONS } from "@/constants/index";
import { useUser } from "@/composables/useUser";
export default {
  setup() {
    const profileOptions = reactive(PROFILES_OPTIONS);
    const { getUser } = useUser();
    const { user } = getUser();

    return {
      user,
      profileOptions,
    };
  },
};
</script>
